Request FacilityAppointment
Use this API to request an appointment at a Facility. The appointment will either be Requested or Scheduled depeneding on whether the Facility has enabled instant-booking or not.
Body
- Type: stringcarrierrequired
The name of carrier.
- Type: stringcarrier
_email required - Type: stringcarrier
_phone required - Type: stringFormat: uuidfacility
_id required - Type: array object[]order
_info required - Type: integerquantityrequired
Number of pallets or boxes on the truck.
- Type: stringFormat: date-timescheduled
_end _time requiredAs an ISO 8601 date-time string.
- Type: stringFormat: date-timescheduled
_start _time requiredAs an ISO 8601 date-time string.
- Type: stringtyperequired
Either
Inboundfor deliveries orOutboundfor pickups. - Type: stringunitsrequired
The packaging type of the truckload. Either
PalletsorBoxes. - Type: stringcarrier
_driver
Responses
Request Example for post/conduit.v1.request_facility_appointment
curl https://api.getconduit.ai/conduit.v1.request_facility_appointment \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"facility_id": "2aae24c7-438d-473f-aba8-7793b7efdec3",
"scheduled_start_time": "",
"scheduled_end_time": "",
"type": "Inbound",
"carrier": "",
"carrier_email": "",
"carrier_phone": "",
"carrier_driver": "",
"quantity": 52,
"units": "Pallets",
"order_info": [
{
"reference_id": ""
}
]
}'
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "Inbound",
"loading_type": "Live",
"scheduled_start_time": "2026-06-15T17:33:08.138Z",
"scheduled_end_time": "2026-06-15T17:33:08.138Z",
"status": "Scheduled",
"recurring_facility_appointment": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"repetition_type": "Daily"
},
"order_info": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"reference_id": "string"
}
],
"created_at": "2026-06-15T17:33:08.138Z",
"updated_at": "2026-06-15T17:33:08.138Z",
"is_work_in": false,
"quantity": null,
"units": null,
"carrier": null,
"carrier_email": null,
"carrier_phone": null,
"carrier_driver": null,
"carrier_notes": null,
"shipper_receiver": null,
"dock": null,
"forklift": null,
"trailer_number": null,
"seal_number": null,
"estimated_start_datetime": null,
"load_started_at": "2024-11-01T15:56:50.052000-07:00",
"load_finished_at": "2024-11-01T15:56:50.052000-07:00",
"checked_in_at": null,
"checked_out_at": null,
"cancelled_at": null,
"cancelled_reason": "FACILITY_REJECTED_LOAD",
"cancelled_note": null,
"public_notes": "string",
"notes": "string",
"facility": "123e4567-e89b-12d3-a456-426614174000",
"all_load_types": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "string"
}
]
}
